<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_28c85ce81fee6532980262893" . "b6f2425" => base64_decode("dXNlc" . "m5hbW" . "U="), "_539cf4259a149ca9dbb739b2cdb" . "7c608" => base64_decode("ZW1haWxfY" . "WRkcmVzcw" . "=="), "_baec81a782bb3d538" . "149a9225688246e" => base64_decode("ZXZlbnRfc" . "291cmNl"), "cont" . "ext" => base64_decode("Y29udGV4d" . "A=="), "_dd45fa0d6586ab8e73" . "f6f6f116b1a970" => base64_decode("cHJldl91c2VyX" . "2lk"), "us" . "er" . "_i" . "d" => base64_decode("dXNlcl9pZA=" . "="), "_5439477835f9c7cc" . "26a988f88cb19553" => base64_decode("cHJldl9mdWxsX2" . "5hbWU="), "_8cca4dd34e20c5344bb2a30f2533c4" . "e5" => base64_decode("ZnVs" . "bF9u" . "YW1l"), "_eb6cb462373" . "5c07195e9373" . "5d659236d" => base64_decode("cHJldl9lbW" . "FpbF9hZGRy" . "ZXNz"), "_b070ffda7" . "0d673baa2a" . "b1a4ca13c2" . "54c" => base64_decode("cHJldl91" . "c2VybmFt" . "ZQ=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["conte" . "xt"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["co" . "nt" . "ex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["user_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_8cca4dd34e20c53" . "44bb2a30f2533c4e" . "5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_28c85ce81fee653298026" . "2893b6f2425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_539cf4259a149ca9dbb739b2c" . "db7c608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_dd45fa0d6586ab8e73f6f6" . "f116b1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_5439477" . "835f9c7c" . "c26a988f" . "88cb1955" . "3"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_b070ffda70d673ba" . "a2ab1a4ca13c254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_eb6cb4623735c0" . "7195e93735d6592" . "36d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_baec81a782bb3" . "d538149a922568" . "8246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}